Bug 65589 - xdm is set to create files in /etc/X11/xdm/authdir/authfiles but that directory isn't apart of the package
xdm is set to create files in /etc/X11/xdm/authdir/authfiles but that directo...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i386 Linux
low Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-28 00:43 EDT by Nathan G. Grennan
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 01:33:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2002-05-28 00:43:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.3 (X11; Linux i686; U;) Gecko/20020523

Description of problem:
xdm is configurated  to use /etc/X11/xdm/authdir/authfiles to write a
.Xauthority to, but /etc/X11/xdm/authdir is a symlink to ../../../var/lib/xdm
and authfiles in the directory isn't a part of any package. Yet there is
/var/lib/xdm/authdir/authdir which is part of XFree86 but doesn't appear to be used.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -e gdm kdebase
2. init 5
3. Login as normal user
4. run xterm
5. su - root
6. ps axw | grep \/usr\/X11R6\/bin\/X
7. ls -l /etc/X11/xdm/authdir
8. ls -R /var/lib/xdm

Actual Results:  /usr/X11R6/bin/X -auth /etc/X11/xdm/authdir/authfiles/<insert
random filename here>


lrwxrwxrwx    1 root     root           20 May  8 21:19 /etc/X11/xdm/authdir ->
../../../var/lib/xdm



/var/lib/xdm:
authdir  authfiles

/var/lib/xdm/authdir:

/var/lib/xdm/authfiles:
<insert random filename here>


Expected Results:  /usr/X11R6/bin/X -auth /etc/X11/xdm/authdir/authfiles/<insert
random filename here>


lrwxrwxrwx    1 root     root           20 May  8 21:19 /etc/X11/xdm/authdir ->
../../../var/lib/xdm



/var/lib/xdm:
authfiles

/var/lib/xdm/authfiles:
<insert random filename here>


Additional info:
Comment 2 Nathan G. Grennan 2004-08-20 01:33:13 EDT
Closing really old bug

Note You need to log in before you can comment on or make changes to this bug.